require 'rails/generators/migration'

module Subscribable
  module Generators
    class SubRelationGenerator < Rails::Generators::Base
      include Rails::Generators::Migration
      source_root File.expand_path('../templates', __FILE__)

      def generate_migration
        migration_template 'sub_relation_migration.rb', 'db/migrate/create_sub_relation.rb'
      end

      def self.next_migration_number(path)
        @migration_number = Time.now.utc.strftime("%Y%m%d%H%M%S").to_i.to_s
      end
    end
  end
end
